
QGIS Application - Bug report #13486

Advanced Filter in attribute table

2015-10-01 05:29 PM - Laurence Bechet 

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21531

Description

I don't know if it's a new feature or a bug ...

Worked fine with Pisa. Has this new behaviour with 2.11.0-Master (code revision fefd85a)

Open an attribute table. Go for advanced filter, select the field name you want to use for your search. Try to write the few first letters you

want to use as the filter : you can only enter the first letter.

Example, my field name is "Line_Name", I'm looking for a line with "Henga" in its name. I want to type "Henga", but after the first "H", it

switches back to Advance filter with ""TrapLine" ILIKE '%H%'"

Workaround is to type manually the rest of the name there.

Related issues:

Related to QGIS Application - Bug report # 12422: Attribute column filter tur... Closed 2015-03-20

Associated revisions

Revision c7e732b2 - 2015-10-15 02:48 PM - Salvatore Larosa

[widget editor][fix #13486] follow up #2316 and 5ac5217

Revision 63cea763 - 2015-10-18 11:09 AM - Matthias Kuhn 

Merge pull request #2374 from slarosa/editor_widget_take_2

Attribute table filter: follow up #2316 and 5ac5217

Fix #13486 Don't hide search widget in attribute table when typing

Properly connect the signals for the search case checkbox on the attribute table filter

History

#1 - 2015-10-02 01:54 AM - Goyo D

Confirmed in Windows 7, but it's not the "Advanced filter" but the "Column filter". It must be a recent regression, I have been using the column filter a lot in

master and never noticed it before.

#2 - 2015-10-03 02:24 AM - marisn -
I can confirm this behaviour.

There is already a bug report on "column filter" turning into "extended filter". This issue has just made it worse.

#12422

#3 - 2015-10-18 02:10 AM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"63cea76313656288868a012c72d69ad1b7e62ce0".
